# Recommended tooling

## Official repositories

* <https://gitlab.com/tezos/tezos>
* <https://gitlab.com/nomadic-labs/tezos>
* <https://hub.docker.com/r/tezos/tezos>

## Official documentation

* <https://tezos.com/developer-portal>
* <https://tezos.gitlab.io/>
* <https://tezos.gitlab.io/michelson-reference/>

## Setting up dependencies

<https://tezos.gitlab.io/introduction/howtoget.html#setting-up-the-development-environment-from-scratch>

## Running a node

Using Docker and Flextesa: <https://assets.tqtezos.com/docs/setup/2-sandbox/>

Using sources: <https://tezos.gitlab.io/user/sandbox.html>

## Running a baker

Plug and play tools:

* Bake Buddy: <https://bakebuddy.xyz/>
* Kiln: <https://tezos-kiln.org/>

## Interacting with Tezos nodes

### CLI

Using `tezos-client` from sources: <https://tezos.gitlab.io/user/sandbox.html>

Using `tezos-client` from packages: <https://github.com/serokell/tezos-packaging>

Using `tezos-client` from binaries: <https://assets.tqtezos.com/docs/setup/1-tezos-client/>

### Libraries

* **Taquito - TypeScript library suite** <https://tezostaquito.io/>
* **TzStats - indexer and API** <https://tzstats.com/docs/api#tezos-api>
* **TzKT - indexer and API** <https://api.tzkt.io/>
* **Conseil - indexer and API** <https://github.com/Cryptonomic/Conseil>
* **ConseilJS - library for building apps in TypeScript and JavaScript** <https://cryptonomic.github.io/ConseilJS/#/>
* **ConseilPy - Python toolkit for Conseil indexer and API** <https://github.com/baking-bad/conseilpy>
* **Morley - Developer tools for Michelson** <https://gitlab.com/morley-framework/morley>
* **TezosKit - Swift SDK for iOS, macOS, and iPadOS** <https://github.com/keefertaylor/TezosKit>
* **KotlinTezos - Android/Kotlin toolbox** <https://gitlab.com/camlcase-dev/kotlin-tezos>
* **PyTezos - Python SDK** <https://github.com/baking-bad/pytezos>
* **Sotez - JavaScript library** <https://github.com/AndrewKishino/sotez>
* **Magic - passwordless wallet connector for apps** <https://docs.magic.link/advanced/tezos/get-started>
* **Beacon - wallet connector for apps** <https://www.walletbeacon.io/>
* **TezBridge - wallet connector for apps** <https://docs.tezbridge.com/>
* **Go Tezos- Go library** <https://github.com/goat-systems/go-tezos>
* **TezosJ - Android Java SDK** <https://github.com/TezosRio/TezosJ_SDK>
* **TezosJ Plain Java - Java SDK** <https://github.com/TezosRio/TezosJ_plainJava>
* **Netezos - .Net Standard 2.0 library** <https://github.com/baking-bad/netezos>

## Writing and building smart contracts

* **Python** | <http://smartpy.io>
* **Pascal, OCaml, ReasonML** | <https://ligolang.org/>
* **Haskell** | <https://indigo-lang.gitlab.io/>
* **Domain-Specific** | <https://archetype-lang.org/>
* **Language of Tezos Smart Contracts** | <https://michelson.nomadic-labs.com/>

## Explorers

* **TzStats** <https://tzstats.com/>
* **tezblock** <https://tezblock.io/>
* **Arronax** <https://arronax.io/>
* **TzKT** <https://tzkt.io/>
* **TezTracker** <https://teztracker.everstake.one/mainnet>
* **TezEdge - Tezos Node Explorer** <https://tezedge.com/#/network>
* **Tezos Notifier Bot (Telegram)** <https://t.me/TezosNotifierBot>
* **Better Call Dev - Smart Contract Explorer** <https://better-call.dev/>
* **SmartPy Contract Explorer** <https://www.smartpy.io/dev/explorer>
* **Misualizer - Smart Contract Explorer** <https://misualizer.tezbridge.com/>
* **Tezos Hubble Explorer** <https://hubble.figment.network/tezos>
* **Baking Bad - Delegation Explorer** <https://baking-bad.org/>
* **Mininax** <https://mininax.io/mainnet>
* **Blockchair** <https://blockchair.com/tezos>

## Tools

* **SmartPy IDE** <https://smartpy.io/dev/>: Online editor to write smart contracts in SmartPy.
* **Try-Archetype:** <https://gitpod.io/#https://github.com/edukera/try-archetype>: Online editor to write smart contracts in Archetype.
* **LIGO IDE** <https://ide.ligolang.org/>: Online editor to write smart contracts in LIGO.
* **sol2ligo Transpiler** <https://madfish-solutions.github.io/sol2ligo/>: Tool to migrate Solidity smart contracts to LIGO.
* **Tplus** <https://tplus.dev/tplus>: Tool to manage Tezos environments (sandboxes and public nodes).
* **Michelson - IntelliJ** <https://www.plugin-dev.com/plugins/tezos-michelson/>: Michelson Plugin for IntelliJ.
* **Michelson Emacs Mode** <https://github.com/tezos/tezos/tree/master/emacs>: Michelson Plugin for Emacs.
* **Granary** <https://stove-labs.github.io/granary/>: Tezos Development Toolkit.
* **Truffle** <https://www.trufflesuite.com/docs/tezos/truffle/quickstart>: Development environment, testing framework, and asset pipeline.
* **Tezster** <https://github.com/Tezsure/Tezster-CLI>: Testing tool for Tezos.
* **Magic's Testnet Faucet** <https://magic-tezos-faucet.now.sh/>: A simple faucet for a Tezos Testnet.
* **Testnet Faucet** <https://faucet.tzalpha.net/>: Faucet for a Tezos testnet.
* **Mainnet Faucet** <https://faucet.tezos.com/>: Faucet for the Tezos Mainnet.
* **Testnet Faucet Bot** <https://t.me/tezos_faucet_bot>: Telegram Faucet Bot for Tezos testnets.
* **Tezos Giga Node** <https://tezos.giganode.io/>: Reliable and geographically distributed Tezos public node infrastructure.
* **TezosLive** <https://www.tezoslive.io/>: GraphQL API to the Tezos Node RPC.
* **Nautilus Cloud** <https://nautilus.cloud/>: A full suite of tools to develop and deploy Tezos applications.
* **Tezos Link** <https://tezoslink.io/>: Scalable API access to the Tezos network.

## Education/Training

* **Sol2Ligo handbook** <https://madfish-solutions.github.io/sol2ligo-course/#/>: Learn Ligo and write Tezos smart contracts with the interactive tool. Convert your Solidity contracts to Ligo easily.
* **Blockmatics SmartPy Developer Course** <https://training.blockmatics.io/p/tezos-smartpy-developer-course/>: Blockmatics’ SmartPy Developer Course teaches the basics of SmartPy and the SmartPy IDE.
* **Cryptoverse Wars (SmartPy)** <https://cryptocodeschool.in/tezos/overview>: Cryptoverse Wars is a fun interactive code school developed by BUIDL Labs that teaches developers how to write smart contracts in SmartPy.
* **Tezos Academy (LIGO)** <https://tezosacademy.io/>: Tezos Academy is a fun interactive tutorial developed by OCTO Technology on how to code smart contracts in LIGO.
* **Tezos Training at Nomadic Labs** <https://training.nomadic-labs.com/training.html>: After running successfully through all the steps of this training session, you will be able to run a Tezos node (test network/sandboxed), use the Michelson emacs mode, and compile pieces of code in both LIGO and SmartPy.
* **TQ Digital Assets Portal** <https://assets.tqtezos.com/docs/intro/>: This documentation aims to help developers streamline the implementation, integration, and use of digital assets on Tezos.
* **Getting Started with LIGO** <https://medium.com/coinmonks/getting-started-with-ligo-13ea2c4e844e>: These tutorials by Claude Barde walk-through how to create smart contracts on the Tezos blockchain using the LIGO language.
* **Cryptonomic Developer Portal** <https://cryptonomic.tech/developers.html>: Cryptonomic’s tech stack makes it easy to develop and deploy Tezos applications.
* **An Introduction to Michelson** <https://medium.com/better-programming/introduction-to-michelson-the-language-of-tezos-part-1-374c03394cc3>: These tutorials by Claude Barde walk-through how to use the Michelson programming language and write smart contracts on Tezos.
* **Michelson Labs** <https://michelson.baking-bad.org/>: Series of Jupyter notebooks for learning the Tezos native contract language.
* **PyTezos Labs** <https://pytezos.baking-bad.org/>: Series of Jupyter notebooks for learning Tezos internals with Python.
* **CoinList-Tezos Hackathon Workshops** <https://www.youtube.com/playlist?list=PLZYHxOo6wufh2XacXH2YyeSecR3qMk0lH>: Online workshops from the development teams of tools such as Truffle, Magic, SmartPy, LIGO, and more.
* **Tezos Developer Documentation** <https://tezos.gitlab.io/>: A complete Tezos documentation resource for developers.
* **TezEdge Tezos documentation** <https://docs.tezedge.com/introduction/tezos>: A documentation resource by the TezEdge team.
* **TQ Tezos Wiki** <https://wiki.tezosagora.org/>: A Tezos wiki by the TQ Tezos team. Learn about Tezos basics, proof-of-stake in Tezos, governance, smart contracts, and more.

## Wallets

* **Temple Wallet** <https://templewallet.com/>: Cryptocurrency wallet for the Tezos blockchain

  as a Web Extension for your Browser.
* **Kukaï:** <https://wallet.kukai.app/>: A software wallet enabling social network authentication.
* **Galleon** <https://cryptonomic.tech/galleon.html>: A software wallet for Desktop.
* **Umami** <https://umamiwallet.com/>: A software wallet for Desktop.
* **Ledger** <https://www.ledger.com/staking-tezos>: An hardware wallet.

## Helm charts

* **tezos-helm-chart** <https://github.com/tqtezos/tezos-helm-charts>
* **tezos-k8s-helm-chart** <https://github.com/tqtezos/tezos-k8s#tezos-k8s-helm-chart>

## Node monitoring

* **tezos-metrics** <https://gitlab.com/nomadic-labs/tezos-metrics/>
* **net-dada** <https://www.netdata.cloud/>
* **prometheus** (need net-data and tezos-metrics both installed) <https://prometheus.io/>
* **grafana** (need prometeus installed) <https://grafana.com/>

## Formal verification

* [**https://gitlab.com/nomadic-labs/mi-cho-coq/blob/master/doc/talk\_15\_10\_2019/talk\_multisig.pdf**](https://gitlab.com/nomadic-labs/mi-cho-coq/blob/master/doc/talk_15_10_2019/talk_multisig.pdf)
* [**https://gitlab.com/nomadic-labs/mi-cho-coq/**](https://gitlab.com/nomadic-labs/mi-cho-coq/)<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nomadic-labs.com/nomadic-labs-knowledge-center/tools/recommended-tools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
